OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.RegisterCombiners

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVRegisterCombiners :: MonadIO m => m Bool
- gl_NV_register_combiners :: Bool
- pattern GL_BIAS_BY_NEGATIVE_ONE_HALF_NV :: GLenum
- pattern GL_COLOR_SUM_CLAMP_NV :: GLenum
- pattern GL_COMBINER0_NV :: GLenum
- pattern GL_COMBINER1_NV :: GLenum
- pattern GL_COMBINER2_NV :: GLenum
- pattern GL_COMBINER3_NV :: GLenum
- pattern GL_COMBINER4_NV :: GLenum
- pattern GL_COMBINER5_NV :: GLenum
- pattern GL_COMBINER6_NV :: GLenum
- pattern GL_COMBINER7_NV :: GLenum
- pattern GL_COMBINER_AB_DOT_PRODUCT_NV :: GLenum
- pattern GL_COMBINER_AB_OUTPUT_NV :: GLenum
- pattern GL_COMBINER_BIAS_NV :: GLenum
- pattern GL_COMBINER_CD_DOT_PRODUCT_NV :: GLenum
- pattern GL_COMBINER_CD_OUTPUT_NV :: GLenum
- pattern GL_COMBINER_COMPONENT_USAGE_NV :: GLenum
- pattern GL_COMBINER_INPUT_NV :: GLenum
- pattern GL_COMBINER_MAPPING_NV :: GLenum
- pattern GL_COMBINER_MUX_SUM_NV :: GLenum
- pattern GL_COMBINER_SCALE_NV :: GLenum
- pattern GL_COMBINER_SUM_OUTPUT_NV :: GLenum
- pattern GL_CONSTANT_COLOR0_NV :: GLenum
- pattern GL_CONSTANT_COLOR1_NV :: GLenum
- pattern GL_DISCARD_NV :: GLenum
- pattern GL_EXPAND_NEGATE_NV :: GLenum
- pattern GL_EXPAND_NORMAL_NV :: GLenum
- pattern GL_E_TIMES_F_NV :: GLenum
- pattern GL_FOG :: GLenum
- pattern GL_HALF_BIAS_NEGATE_NV :: GLenum
- pattern GL_HALF_BIAS_NORMAL_NV :: GLenum
- pattern GL_MAX_GENERAL_COMBINERS_NV :: GLenum
- pattern GL_NONE :: GLenum
- pattern GL_NUM_GENERAL_COMBINERS_NV :: GLenum
- pattern GL_PRIMARY_COLOR_NV :: GLenum
- pattern GL_REGISTER_COMBINERS_NV :: GLenum
- pattern GL_SCALE_BY_FOUR_NV :: GLenum
- pattern GL_SCALE_BY_ONE_HALF_NV :: GLenum
- pattern GL_SCALE_BY_TWO_NV :: GLenum
- pattern GL_SECONDARY_COLOR_NV :: GLenum
- pattern GL_SIGNED_IDENTITY_NV :: GLenum
- pattern GL_SIGNED_NEGATE_NV :: GLenum
- pattern GL_SPARE0_NV :: GLenum
- pattern GL_SPARE0_PLUS_SECONDARY_COLOR_NV :: GLenum
- pattern GL_SPARE1_NV :: GLenum
- pattern GL_TEXTURE0_ARB :: GLenum
- pattern GL_TEXTURE1_ARB :: GLenum
- pattern GL_UNSIGNED_IDENTITY_NV :: GLenum
- pattern GL_UNSIGNED_INVERT_NV :: GLenum
- pattern GL_VARIABLE_A_NV :: GLenum
- pattern GL_VARIABLE_B_NV :: GLenum
- pattern GL_VARIABLE_C_NV :: GLenum
- pattern GL_VARIABLE_D_NV :: GLenum
- pattern GL_VARIABLE_E_NV :: GLenum
- pattern GL_VARIABLE_F_NV :: GLenum
- pattern GL_VARIABLE_G_NV :: GLenum
- pattern GL_ZERO :: GLenum
- glCombinerInputNV :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> GLenum -> GLenum -> m ()
- glCombinerOutputNV :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> GLenum -> GLenum -> GLenum -> GLboolean -> GLboolean -> GLboolean -> m ()
- glCombinerParameterfNV :: MonadIO m => GLenum -> GLfloat -> m ()
- glCombinerParameterfvNV :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glCombinerParameteriNV :: MonadIO m => GLenum -> GLint -> m ()
- glCombinerParameterivNV :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glFinalCombinerInputNV :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> m ()
- glGetCombinerInputParameterfvNV :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetCombinerInputParameterivNV :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetCombinerOutputParameterfvNV :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetCombinerOutputParameterivNV :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetFinalCombinerInputParameterfvNV :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetFinalCombinerInputParameterivNV :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetNVRegisterCombiners :: MonadIO m => m Bool Source #

Is the NV_register_combiners extension supported?

gl_NV_register_combiners :: Bool Source #

Is the NV_register_combiners extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVRegisterCombiners` in those cases instead.

# Enums

pattern GL_BIAS_BY_NEGATIVE_ONE_HALF_NV :: GLenum Source #

pattern GL_COLOR_SUM_CLAMP_NV :: GLenum Source #

pattern GL_COMBINER0_NV :: GLenum Source #

pattern GL_COMBINER1_NV :: GLenum Source #

pattern GL_COMBINER2_NV :: GLenum Source #

pattern GL_COMBINER3_NV :: GLenum Source #

pattern GL_COMBINER4_NV :: GLenum Source #

pattern GL_COMBINER5_NV :: GLenum Source #

pattern GL_COMBINER6_NV :: GLenum Source #

pattern GL_COMBINER7_NV :: GLenum Source #

pattern GL_COMBINER_AB_DOT_PRODUCT_NV :: GLenum Source #

pattern GL_COMBINER_AB_OUTPUT_NV :: GLenum Source #

pattern GL_COMBINER_BIAS_NV :: GLenum Source #

pattern GL_COMBINER_CD_DOT_PRODUCT_NV :: GLenum Source #

pattern GL_COMBINER_CD_OUTPUT_NV :: GLenum Source #

pattern GL_COMBINER_COMPONENT_USAGE_NV :: GLenum Source #

pattern GL_COMBINER_INPUT_NV :: GLenum Source #

pattern GL_COMBINER_MAPPING_NV :: GLenum Source #

pattern GL_COMBINER_MUX_SUM_NV :: GLenum Source #

pattern GL_COMBINER_SCALE_NV :: GLenum Source #

pattern GL_COMBINER_SUM_OUTPUT_NV :: GLenum Source #

pattern GL_CONSTANT_COLOR0_NV :: GLenum Source #

pattern GL_CONSTANT_COLOR1_NV :: GLenum Source #

pattern GL_DISCARD_NV :: GLenum Source #

pattern GL_EXPAND_NEGATE_NV :: GLenum Source #

pattern GL_EXPAND_NORMAL_NV :: GLenum Source #

pattern GL_E_TIMES_F_NV :: GLenum Source #

pattern GL_FOG :: GLenum Source #

pattern GL_HALF_BIAS_NEGATE_NV :: GLenum Source #

pattern GL_HALF_BIAS_NORMAL_NV :: GLenum Source #

pattern GL_MAX_GENERAL_COMBINERS_NV :: GLenum Source #

pattern GL_NONE :: GLenum Source #

pattern GL_NUM_GENERAL_COMBINERS_NV :: GLenum Source #

pattern GL_PRIMARY_COLOR_NV :: GLenum Source #

pattern GL_REGISTER_COMBINERS_NV :: GLenum Source #

pattern GL_SCALE_BY_FOUR_NV :: GLenum Source #

pattern GL_SCALE_BY_ONE_HALF_NV :: GLenum Source #

pattern GL_SCALE_BY_TWO_NV :: GLenum Source #

pattern GL_SECONDARY_COLOR_NV :: GLenum Source #

pattern GL_SIGNED_IDENTITY_NV :: GLenum Source #

pattern GL_SIGNED_NEGATE_NV :: GLenum Source #

pattern GL_SPARE0_NV :: GLenum Source #

pattern GL_SPARE0_PLUS_SECONDARY_COLOR_NV :: GLenum Source #

pattern GL_SPARE1_NV :: GLenum Source #

pattern GL_TEXTURE0_ARB :: GLenum Source #

pattern GL_TEXTURE1_ARB :: GLenum Source #

pattern GL_UNSIGNED_IDENTITY_NV :: GLenum Source #

pattern GL_UNSIGNED_INVERT_NV :: GLenum Source #

pattern GL_VARIABLE_A_NV :: GLenum Source #

pattern GL_VARIABLE_B_NV :: GLenum Source #

pattern GL_VARIABLE_C_NV :: GLenum Source #

pattern GL_VARIABLE_D_NV :: GLenum Source #

pattern GL_VARIABLE_E_NV :: GLenum Source #

pattern GL_VARIABLE_F_NV :: GLenum Source #

pattern GL_VARIABLE_G_NV :: GLenum Source #

pattern GL_ZERO :: GLenum Source #

# Functions

glCombinerInputNV Source #

Arguments

:: MonadIO m |
=> GLenum | `stage` of type CombinerStageNV.
-> GLenum | `portion` of type CombinerPortionNV.
-> GLenum | `variable` of type CombinerVariableNV.
-> GLenum | `input` of type CombinerRegisterNV.
-> GLenum | `mapping` of type CombinerMappingNV.
-> GLenum | `componentUsage` of type CombinerComponentUsageNV.
-> m () |

glCombinerOutputNV Source #

Arguments

:: MonadIO m |
=> GLenum | `stage` of type CombinerStageNV.
-> GLenum | `portion` of type CombinerPortionNV.
-> GLenum | `abOutput` of type CombinerRegisterNV.
-> GLenum | `cdOutput` of type CombinerRegisterNV.
-> GLenum | `sumOutput` of type CombinerRegisterNV.
-> GLenum | `scale` of type CombinerScaleNV.
-> GLenum | `bias` of type CombinerBiasNV.
-> GLboolean | `abDotProduct` of type Boolean.
-> GLboolean | `cdDotProduct` of type Boolean.
-> GLboolean | `muxSum` of type Boolean.
-> m () |

glCombinerParameterfNV Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type CombinerParameterNV.
-> GLfloat | `param`.
-> m () |

glCombinerParameterfvNV Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type CombinerParameterNV.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glCombinerParameteriNV Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type CombinerParameterNV.
-> GLint | `param`.
-> m () |

glCombinerParameterivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type CombinerParameterNV.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glFinalCombinerInputNV Source #

Arguments

:: MonadIO m |
=> GLenum | `variable` of type CombinerVariableNV.
-> GLenum | `input` of type CombinerRegisterNV.
-> GLenum | `mapping` of type CombinerMappingNV.
-> GLenum | `componentUsage` of type CombinerComponentUsageNV.
-> m () |

glGetCombinerInputParameterfvNV Source #

Arguments

:: MonadIO m |
=> GLenum | `stage` of type CombinerStageNV.
-> GLenum | `portion` of type CombinerPortionNV.
-> GLenum | `variable` of type CombinerVariableNV.
-> GLenum | `pname` of type CombinerParameterNV.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetCombinerInputParameterivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `stage` of type CombinerStageNV.
-> GLenum | `portion` of type CombinerPortionNV.
-> GLenum | `variable` of type CombinerVariableNV.
-> GLenum | `pname` of type CombinerParameterNV.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetCombinerOutputParameterfvNV Source #

Arguments

:: MonadIO m |
=> GLenum | `stage` of type CombinerStageNV.
-> GLenum | `portion` of type CombinerPortionNV.
-> GLenum | `pname` of type CombinerParameterNV.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetCombinerOutputParameterivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `stage` of type CombinerStageNV.
-> GLenum | `portion` of type CombinerPortionNV.
-> GLenum | `pname` of type CombinerParameterNV.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetFinalCombinerInputParameterfvNV Source #

Arguments

:: MonadIO m |
=> GLenum | `variable` of type CombinerVariableNV.
-> GLenum | `pname` of type CombinerParameterNV.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetFinalCombinerInputParameterivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `variable` of type CombinerVariableNV.
-> GLenum | `pname` of type CombinerParameterNV.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |